geos (3.14.1-2) unstable; urgency=medium

  * Simplify exclusion of export.h from libgeos++-dev.
  * Use debrebuild instead of reprotest.
  * Drop rules for armel & ia64.
  * Add patch to fix FTBFS with doxygen 1.15.0.
    (closes: #1123389)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Dec 2025 21:36:27 +0100

geos (3.14.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Oct 2025 05:48:25 +0100

geos (3.14.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Oct 2025 17:07:02 +0100

geos (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Aug 2025 19:08:53 +0200

geos (3.14.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Aug 2025 05:32:29 +0200

geos (3.14.0~beta3-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Aug 2025 05:40:55 +0200

geos (3.14.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Aug 2025 05:38:37 +0200

geos (3.14.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jul 2025 05:40:42 +0200

geos (3.13.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 07:07:43 +0100

geos (3.13.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Mar 2025 05:42:57 +0100

geos (3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Drop doxygen.patch, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Sep 2024 06:43:01 +0200

geos (3.13.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Add patch to fix FTBFS with doxygen 1.20.0.
    (closes: #1080182)
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2024 05:14:37 +0200

geos (3.13.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update lintian overrides.
  * Don't include macOS binary in examples.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Aug 2024 21:13:36 +0200

geos (3.12.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jun 2024 11:01:40 +0200

geos (3.12.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Jun 2024 05:28:53 +0200

geos (3.12.1-3) unstable; urgency=medium

  * Add dpkg-dev (>= 1.22.5) to build dependencies for t64 changes.
    (closes: #1065262)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 12:25:53 +0100

geos (3.12.1-2) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.
    (closes: #1062100)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 15:19:43 +0100

geos (3.12.1-2~exp1) experimental; urgency=medium

  * Improve t64 changes to match team standards.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 13:49:17 +0100

geos (3.12.1-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 11:13:23 +0000

geos (3.12.1-1) unstable; urgency=medium

  * Ignore test failures on hurd-i386.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Nov 2023 19:32:14 +0100

geos (3.12.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable Salsa CI.
  * Ignore test failure on i386.
    https://github.com/libgeos/geos/issues/947
  * Switch to dh-sequence-*.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Nov 2023 06:45:28 +0100

geos (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.
  * Use execute_{before,after} instead of override in rules file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 20:14:27 +0200

geos (3.12.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump debhelper compat to 13.
  * Drop patches, applied upstream.
  * Update copyright file.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Jun 2023 22:09:51 +0200

geos (3.12.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Temporarily ignore test failures on all architectures.
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Jun 2023 18:20:53 +0200

geos (3.11.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Mar 2023 06:28:41 +0100

geos (3.11.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2022 06:12:17 +0100

geos (3.11.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename library package for SONAME bump.
  * Drop doxygen 1.9.4 patch, fixed upstream.
  * Update copyright file.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Nov 2022 05:25:47 +0100

geos (3.11.0-2) unstable; urgency=medium

  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add patch to fix FTBFS with Doxygen 1.9.4.
    (closes: #1015862)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jul 2022 18:03:03 +0200

geos (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jul 2022 20:30:53 +0200

geos (3.11.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jun 2022 05:20:59 +0200

geos (3.11.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Revert web directory exclusion, fixed upstream.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jun 2022 19:45:02 +0200

geos (3.11.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Rename library package for SONAME bump.
  * Don't include .inl files in libgeos++-dev, removed upstream.
  * Update copyright file.
  * Exclude web directory from upstream tree.
  * Update docs for renamed NEWS.md.
  * Update symbols for amd64.
  * Include geos.h in libgeos++-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jun 2022 06:10:50 +0200

geos (3.10.3-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jun 2022 08:06:45 +0200

geos (3.10.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Include .inl files in libgeos++-dev.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jun 2022 18:59:19 +0200

geos (3.10.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Jan 2022 15:25:46 +0100

geos (3.10.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update upstream metadata for GitHub repo.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.
  * Also include .hpp files in libgeos++-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jan 2022 07:19:33 +0100

geos (3.10.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Nov 2021 18:59:04 +0100

geos (3.10.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Nov 2021 05:55:36 +0100

geos (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update 3.10.0~rc3 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Oct 2021 05:56:56 +0200

geos (3.10.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~rc2 symbols for other architectures.
  * Update 3.10.0~rc3 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Oct 2021 06:24:10 +0200

geos (3.10.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~rc1 symbols for other architectures.
  * Explicitly use cmake buildsystem to not use configure script.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Oct 2021 08:35:02 +0200

geos (3.10.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~beta3 symbols for other architectures.
  * Update 3.10.0~rc1 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Oct 2021 05:53:35 +0200

geos (3.10.0~beta3-1~exp2) experimental; urgency=medium

  * Don't use rules to install docs & examples.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Oct 2021 14:27:07 +0200

geos (3.10.0~beta3-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Oct 2021 20:39:47 +0200

geos (3.10.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.
  * Drop patches, applied/included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Oct 2021 07:37:08 +0200

geos (3.10.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update copyright file.
  * Add patch to not include pre-release in SONAME.
  * Rename library package for SONAME bump.
  * Add patch to disable test_docs, causes FTBFS.
  * Switch from autotools to cmake.
  * Add geos-bin package for geosop.
  * Add patch to fix spelling errors.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Oct 2021 11:10:29 +0200

geos (3.9.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 17:49:39 +0200

geos (3.9.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Feb 2021 05:47:10 +0100

geos (3.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop version.patch, fixed upstream.
  * Update symbols for other architectures.
  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Dec 2020 05:34:34 +0100

geos (3.9.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Drop Contact from upstream metadata.
  * Add patch to revert SOVERSION decrement.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2020 05:44:45 +0100

geos (3.9.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump watch file version to 4.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Include pkgconfig file in libgeos-dev.
  * Update symbols for amd64.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Nov 2020 06:51:28 +0100

geos (3.8.1-1) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Mar 2020 19:34:57 +0100

geos (3.8.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Ignore test failures on alpha, hppa & sparc64 too.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Mar 2020 19:52:28 +0100

geos (3.8.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Oct 2019 12:01:18 +0200

geos (3.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop ruby package, has no users in popcon.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Oct 2019 06:50:28 +0200

geos (3.8.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Oct 2019 19:47:31 +0200

geos (3.8.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop check-local.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Oct 2019 20:53:25 +0200

geos (3.8.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.4.1, no changes.
  * Add patch to ignore OSX cruft.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Oct 2019 06:36:22 +0200

geos (3.8.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file, changes:
    - Update copyright years for existing copyright holders
    - Add new copyright holders
    - Add license & copyright for ttmath sources
    - Add license & copyright for tinyxml2 sources
    - Add license & copyright for astyle sources
  * Rename C++ library package for SONAME bump.
  * Refresh patches.
  * Don't install TODO in docs, removed upstream.
  * Remove .asm files.
  * Add lintian override for hardening-no-fortify-functions.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Sep 2019 08:06:26 +0200

geos (3.7.2-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Add copyright holders for debian/*.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 07:12:24 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgeos3.14.1`.
